Subject: Re: X11 and shared libs again
From: Steve Jorgensen <[email-masked]>
To: <[email-masked]>
Cc: "Steve Jorgensen" <[email-masked]>, <[email-masked]>
Date: Tue, 9 Nov 1999 14:15:32 -0700 (MST)

Ahh.. Well, that would explain it.. Sorry, I missed this
	when reading FAQ the first time.

					Steve

> Would you mind reading, first, on
> http://sourceware.cygnus.com/cygwin/xfree/faq.html
> about DLL issues with XT, Xmu, Xaw and MOTIF?  I explained why it
> could not be done.
> This is a Windows OS issue not X11 code problem.

> Which other version of X11 had Xt and Xmu etc as dlls, if they did,
> they they were useless because the libXt.a etc were static and I
> forgot to delete the *.dlls.  In other words the *.a were not using
> libXt.dll etc...

> The only way to make Xt, Xmu and Xaw etc as dlls is to write a
> customet DLL and all the X11 DLLs should call this DLL instead...
> something like Hummingbird folks did... This would require a
> substantial rewriting of X11R6 code.

> PS: Please address cygwin-xfree issues to cygwin-xfree mailing list
> in future.  That is why the mailing list there.

	Will do.

					Steve

-----------------------------------------------------------
Steven Jorgensen      [email-masked]	    [email-masked]
------------------------------+----------------------------
Khoral Research Inc.          | PHONE: (505) 837-6500
6200 Uptown Blvd, Suite 200   | FAX:   (505) 881-3842
Albuquerque, NM 87110         | URL: http://www.khoral.com/
-----------------------------------------------------------

--
Want to unsubscribe from this list?
Send a message to [email-masked]